This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 7987 - Clean up load()
Summary: Clean up load()
Status: CLOSED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML5 spec (editor: Ian Hickson) (show other bugs)
Version: unspecified
Hardware: PC Linux
: P2 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-20 22:18 UTC by Philip J├Ągenstedt
Modified: 2010-10-04 14:56 UTC (History)
4 users (show)

See Also:


Attachments

Description Philip J├Ągenstedt 2009-10-20 22:18:15 UTC
Step 1 is not relevant because there's no way to call the load() method recursively any longer.

Instead of setting aborted/emptied, simply queue a task to fire events at that point in the algorithm. The difference is indistinguishable in black box testing.

Neither of these make any difference to implementation, it's purely editorial at this point.
Comment 1 Ian 'Hixie' Hickson 2009-10-21 12:07:43 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.